# Uses of Class
org.jfree.chart3d.plot.CategoryPlot3D

Packages that use CategoryPlot3D
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.
org.jfree.chart3d.renderer.category
Renderers that can be used with the `CategoryPlot3D` class.

## Uses of CategoryPlot3D in org.jfree.chart3d.axis

Methods in org.jfree.chart3d.axis with parameters of type CategoryPlot3D
Modifier and Type
Method
Description
`void`
CategoryAxis3D.`configureAsColumnAxis(CategoryPlot3D plot)`
Configure the axis as a column axis for the specified plot.
`void`
StandardCategoryAxis3D.`configureAsColumnAxis(CategoryPlot3D plot)`
Configures the axis to be used as a column axis for the specified plot.
`void`
CategoryAxis3D.`configureAsRowAxis(CategoryPlot3D plot)`
Configure the axis as a row axis for the specified plot.
`void`
StandardCategoryAxis3D.`configureAsRowAxis(CategoryPlot3D plot)`
Configures the axis to be used as a row axis for the specified plot.
`void`
AbstractValueAxis3D.`configureAsValueAxis(CategoryPlot3D plot)`
Configures the axis to be used as the value axis for the specified plot.
`void`
ValueAxis3D.`configureAsValueAxis(CategoryPlot3D plot)`
Configure the axis as a value axis for the specified plot.

## Uses of CategoryPlot3D in org.jfree.chart3d.renderer.category

Methods in org.jfree.chart3d.renderer.category that return CategoryPlot3D
Modifier and Type
Method
Description
`CategoryPlot3D`
AbstractCategoryRenderer3D.`getPlot()`
Returns the plot that the renderer is currently assigned to, if any.
`CategoryPlot3D`
CategoryRenderer3D.`getPlot()`
Returns the plot that this renderer is assigned to.
Methods in org.jfree.chart3d.renderer.category with parameters of type CategoryPlot3D
Modifier and Type
Method
Description
`void`
AbstractCategoryRenderer3D.`setPlot(CategoryPlot3D plot)`
Sets the plot that the renderer is assigned to.
`void`
CategoryRenderer3D.`setPlot(CategoryPlot3D plot)`
Sets the plot that the renderer is assigned to.